Skip to main content

GetPaginatedExchangeList

POST

List exchange pairs with pagination.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
offsetinteger
Starting position for pagination. Must be ≥ 0. (Default: 0)
limitinteger
The number of results to return per page. Must be greater than 0 and cannot exceed 1000. (Default: 50)
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
List of exchange pairs.
exchange_idinteger
Unique ID of the exchange pair.
creator_addressstring
Address of the account that created the exchange.
create_timeinteger
Timestamp when the exchange was created. (Unit: millisecond)
first_token_idstring
ID of the first token. TRX is represented as _.
first_token_balanceinteger
Balance of the first token held by the exchange.
second_token_idstring
ID of the second token. TRX is represented as _.
second_token_balanceinteger
Balance of the second token held by the exchange.
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getpaginatedexchangelist' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"offset": 0,
"limit": 10
}'